# List payments link

Returns a list of payment links.

Endpoint: GET /payment-links/list
Version: 1.0

## Header parameters:

  - `x-api-key` (string, required)
    Api key provided on integrations tab in Easyflow platform.

  - `x-api-secret` (string, required)
    Api Secret provided on integrations tab in Easyflow platform.

  - `business-id` (string, required)
    Business Identifier

## Query parameters:

  - `page` (string, required)
    Page number to access

  - `limit` (string, required)
    Number of items to be loaded per page

## Response 200 fields (application/json):

  - `statusCode` (integer)
    Example: 200

  - `data` (object)

  - `data.paymentLinks` (object)

  - `data.paymentLinks.docs` (array)

  - `data.paymentLinks.docs.paymentLink` (object)

  - `data.paymentLinks.docs.paymentLink.id` (string)

  - `data.paymentLinks.docs.paymentLink.business` (object)

  - `data.paymentLinks.docs.paymentLink.business.id` (string)

  - `data.paymentLinks.docs.paymentLink.business.name` (string)

  - `data.paymentLinks.docs.paymentLink.createdAt` (string)

  - `data.paymentLinks.docs.paymentLink.updatedAt` (string)

  - `data.paymentLinks.docs.paymentLink.deletedAt` (string,null)

  - `data.paymentLinks.docs.paymentLink.deleted` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout` (object)

  - `data.paymentLinks.docs.paymentLink.checkout.id` (string)

  - `data.paymentLinks.docs.paymentLink.checkout.name` (string)

  - `data.paymentLinks.docs.paymentLink.checkout.color` (string)

  - `data.paymentLinks.docs.paymentLink.checkout.theme` (string)

  - `data.paymentLinks.docs.paymentLink.checkout.showSellerName` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.requestDeliveryAddress` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.requestAddress` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.acceptNaturalPersonBuyer` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.acceptCorporationBuyer` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.couponOnTop` (boolean)

  - `data.paymentLinks.docs.paymentLink.checkout.creditCard` (object)

  - `data.paymentLinks.docs.paymentLink.checkout.creditCard.defaultInstallments` (integer)

  - `data.paymentLinks.docs.paymentLink.checkout.creditCard.maxInstallments` (integer)

  - `data.paymentLinks.docs.paymentLink.checkout.billet` (object)

  - `data.paymentLinks.docs.paymentLink.checkout.billet.dueDateDelay` (integer)

  - `data.paymentLinks.docs.paymentLink.checkout.pix` (object)

  - `data.paymentLinks.docs.paymentLink.checkout.pix.expirationInMinutes` (integer)

  - `data.paymentLinks.docs.paymentLink.image` (object)

  - `data.paymentLinks.docs.paymentLink.image.name` (string,null)

  - `data.paymentLinks.docs.paymentLink.image.path` (string,null)

  - `data.paymentLinks.docs.paymentLink.image.url` (string,null)

  - `data.paymentLinks.docs.paymentLink.image.isPublic` (string,null)

  - `data.paymentLinks.docs.paymentLink.image.extension` (string,null)

  - `data.paymentLinks.docs.paymentLink.name` (string)

  - `data.paymentLinks.docs.paymentLink.description` (string)

  - `data.paymentLinks.docs.paymentLink.status` (string)

  - `data.paymentLinks.docs.paymentLink.valueInCents` (integer)

  - `data.paymentLinks.docs.paymentLink.unpublishedAt` (string)

  - `data.paymentLinks.docs.paymentLink.publishedAt` (string)

  - `data.paymentLinks.docs.paymentLink.distUrl` (string)

  - `data.paymentLinks.docs.paymentLink.preference` (object)

  - `data.paymentLinks.docs.paymentLink.preference.showSellerName` (boolean)

  - `data.paymentLinks.docs.paymentLink.preference.requestAddress` (boolean)

  - `data.paymentLinks.docs.paymentLink.preference.acceptNaturalPersonBuyer` (boolean)

  - `data.paymentLinks.docs.paymentLink.preference.acceptCorporationBuyer` (boolean)

  - `data.paymentLinks.docs.paymentLink.preference.requestDeliveryAddress` (boolean)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration` (object)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.creditCard` (object)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.creditCard.defaultInstallments` (integer)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.creditCard.maxInstallments` (integer)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.billet` (object)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.billet.dueDateDelay` (integer)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.pix` (object)

  - `data.paymentLinks.docs.paymentLink.paymentConfiguration.pix.expirationInMinutes` (integer)

  - `data.paymentLinks.docs.paymentLink.supportContact` (object)

  - `data.paymentLinks.docs.paymentLink.supportContact.id` (string)

  - `data.paymentLinks.docs.paymentLink.supportContact.name` (string)

  - `data.paymentLinks.docs.paymentLink.supportContact.email` (string)

  - `data.paymentLinks.docs.paymentLink.supportContact.validated` (string)

  - `data.paymentLinks.docs.totalPayments` (integer)

  - `data.paymentLinks.limit` (integer)

  - `data.paymentLinks.currentPage` (integer)

  - `data.paymentLinks.nextPage` (integer,null)

  - `data.paymentLinks.totalPages` (integer)

  - `data.paymentLinks.totalDocs` (integer)

  - `data.paymentLinks.hasNext` (boolean)

## Response 400 fields (application/json):

  - `message` (string)
    Invalid param: []
    Example: "Invalid param: []"

  - `error` (string)
    Bad Request
    Example: "Bad Request"

  - `statusCode` (integer)
    400
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Invalid field
    Example: "Unauthorized"

  - `error` (string)
    Unauthorized
    Example: "Unauthorized"

  - `statusCode` (integer)
    401
    Example: 401

## Response 403 fields (application/json):

  - `message` (string)
    Forbidden resource
    Example: "Forbidden resource"

  - `error` (string)
    Forbidden
    Example: "Forbidden"

  - `statusCode` (integer)
    403
    Example: 403

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "Internal server error"

  - `error` (string)
    Internal Server Error
    Example: "Internal Server Error"

  - `statusCode` (integer)
    500
    Example: 500


